with base as (

    SELECT *
    FROM {{ var("database") }}.gcloud_postgres_stitch.netsuite_transactions

), renamed as (

    SELECT internal_id as transaction_id,
          transaction_type as transaction_type,
          external_id as external_transaction_id,
          --created_date::date as transaction_created_date,
          --last_modified_date::date as transaction_last_modified_date,
          --nexus_id
          --nexus_name
          --subsidiary_tax_reg_num_id
          --subsidiary_tax_reg_num_name
          tran_date::date as transaction_date,
          tran_id as tran_id, --WHAT IS THIS?!
          --user_total
          --payment_hold
          --credit_limit
          --available_vendor_credit
          --landed_cost_method
          --landed_cost_per_line
          transaction_number,
          --address
          --bill_pay
          --tax_reg_override
          --tax_details_override
          --custom_form_id
          --custom_form_name
          --next_approver_id
          --next_approver_name
          entity_id,
          entity_name,
          --billing_account_id,
          --billing_account_name,
          --recurring_bill
          --entity_tax_reg_num_id
          --entity_tax_reg_num_name
          --source
          --created_from_id
          --created_from_name
          posting_period_id,
          posting_period_name,
          to_date(posting_period_name, 'Mon YYYY') 	AS period_date,
          --opportunity_id
          --opportunity_name
          department_id,
          department_name,
          --class_id
          --class_name
          --terms_id
          --terms_name
          --location_id
          --location_name
          subsidiary_id,
          subsidiary_name,
          currency_ref_id AS currency_id,
          currency_ref_name AS currency_name,
          due_date,
          --discount_date
          --discount_amount
          --sales_rep_id
          --sales_rep_name
          --contrib_pct
          --partner_id
          --partner_name
          --lead_source_id
          --lead_source_name
          --start_date
          --end_date
          --other_ref_num
          memo,
          sales_effective_date,
          --exclude_commission
          --total_cost_estimate
          --est_gross_profit
          --est_gross_profit_percent
          --rev_rec_schedule_id
          --rev_rec_schedule_name
          --rev_rec_start_date
          --rev_rec_end_date
          --amount_paid
          --amount_remaining
          balance,
          account_id,
          account_name,
          --on_credit_hold
          exchange_rate,
          --currency_name
          --promo_code_id
          --promo_code_name
          --discount_item_id
          --discount_item_name
          --discount_rate
          --is_taxable
          --tax_item_id
          --tax_item_name
          --tax_rate
          --to_be_printed
          --to_be_emailed
          --to_be_faxed
          --fax
          --message_sel_id
          --message_sel_name
          --message
          --billing_address_id
          --billing_address_country
          --billing_address_state
          --billing_address_city
          --billing_address_addr1
          --billing_address_addr2
          --billing_address_addr3
          --billing_address_zip
          --billing_address_addressee
          --billing_address_addr_phone
          --billing_address_addr_text
          --billing_address_override
          --bill_address_list_id
          --bill_address_list_name
          --shipping_address_id
          --shipping_address_country
          --shipping_address_state
          --shipping_address_city
          --shipping_address_addr1
          --shipping_address_addr2
          --shipping_address_addr3
          --shipping_address_zip
          --shipping_address_addressee
          --shipping_address_addr_phone
          --shipping_address_addr_text
          --shipping_address_override
          --ship_address_list_id
          --ship_address_list_name
          --ship_is_residential
          --fob
          --ship_date
          --ship_method_id
          --ship_method_name
          --shipping_cost
          --shipping_tax1_rate
          --shipping_tax2_rate
          --shipping_tax_code_id
          --shipping_tax_code_name
          --handling_tax_code_id
          --handling_tax_code_name
          --handling_tax1_rate
          --handling_cost
          --handling_tax2_rate
          --tracking_numbers
          --linked_tracking_numbers
          --sales_group_id,
          --sales_group_name,
          --sub_total,
          --can_have_stackable
          --revenue_status
          --recognized_revenue
          --deferred_revenue
          --rev_rec_on_rev_commitment
          --sync_sales_teams
          --discount_total
          --tax_total
          --alt_shipping_cost
          --alt_handling_cost
          total,
          status,
          --job_id
          --job_name
          --billing_schedule_id
          --billing_schedule_name
          --email
          --tax2_total
          --vat_reg_num
          --exp_cost_discount_id
          --exp_cost_discount_name
          --item_cost_discount_id
          --item_cost_discount_name
          --time_discount_id
          --time_discount_name
          --exp_cost_disc_rate
          --item_cost_disc_rate
          --time_disc_rate
          --exp_cost_disc_amount
          --exp_cost_tax_rate1
          --exp_cost_tax_rate2
          --item_cost_disc_amount
          --exp_cost_tax_code_id
          --exp_cost_tax_code_name
          --exp_cost_disc_tax1_amt
          --item_cost_tax_rate1
          --time_disc_amount
          --item_cost_tax_code_id
          --item_cost_tax_code_name
          --exp_cost_disc_taxable
          --item_cost_disc_taxable
          --item_cost_tax_rate2
          --item_cost_disc_tax1_amt
          --item_cost_disc_print
          --time_disc_taxable
          --time_tax_rate1
          --exp_cost_disc_print
          --time_tax_code_id
          --time_tax_code_name
          --time_disc_print
          --time_disc_tax1_amt
          --tran_is_vsoe_bundle
          --time_tax_rate2
          --vsoe_auto_calc
          --sync_partner_teams
          --approval_status_id
          --approval_status_name
          --accounting_book_id
          --accounting_book_name
          --accounting_book_detail_list
          --approved
          --is_book_specific
          --parent_expense_alloc_id
          --parent_expense_alloc_name
          --perform_auto_balance
          --reversal_date
          --reversal_defer
          --reversal_entry
          --to_subsidiary_id
          --to_subsidiary_name
          --units_type_id
          --units_type_name
          --void_journal_id
          --void_journal_name
          --landed_costs_list
          --applied
          --auto_apply
          --gift_cert_id
          --gift_cert_name
          --gift_cert_applied
          --gift_cert_available
          --gift_cert_total
          --is_multi_ship_to
          --partners_list
          --sales_team_list
          --tax_details_list
          unapplied,
          ar_acct_id,
          ar_acct_name,
          customer_id,
          customer_name,
          --deposit_list,
          --is_recurring_payment
          payment,
          payment_method_id,
          payment_method_name,
          --sales_order_id
          --sales_order_name
          --soft_descriptor
          --cash_back_list
          --other_list
          --payment_list
          --dep_date
          --deposit_id
          --deposit_name
          --alt_sales_total
          --entity_status_id
          --entity_status_name
          --expected_close_date
          --forecast_type_id
          --forecast_type_name
          --include_in_forecast
          --one_time
          --probability
          --recur_annually
          --recur_monthly
          --recur_quarterly
          --recur_qeekly
          --title
          --visible_to_customer
          --accounting_approval
          --advance
          --amount
          --complete
          --supervisor_approval
          --tax1_amt
          --tax2_amt
          --use_multi_currency
          --employee_id
          --employee_name
          --incoterm_id
          --incoterm_name
          --order_status
          --ship_complete
          --transfer_location_id
          --transfer_location_name
          --use_item_cost_as_transfer_cost
          --exp_cost_list
          --gift_cert_redemption_list
          --item_cost_list
          --promotions_list
          --ship_group_list
          --time_list
          --purchase_contract_id
          --purchase_contract_name
          --ship_to_id
          --ship_to_name
          --rev_commit_status
          --ship_address
          --purchase_order_list
          --un_applied
          --user_tax_total
          --ap_acct_id
          --ap_acct_name
          --credit_list
          --print_voucher
          to_ach as is_ach,
          --interco_status
          --interco_transaction_id
          --interco_transaction_name
          apply_list, -- this is json
          line_list, -- this is json
          item_list -- this is json
          --expense_list, -- this is json dropped for security
          --custom_field_list -- this is json dropped for security

    FROM base

)

SELECT *
FROM renamed

